Skip navigation
Zaq-Tonny
Currently Being Moderated

"Please update your App"

Jan 23, 2012 1:31 AM

Hi there.

I got this massage, om my ipad in the Adobe viewer - after updating the software from the DPS homepage.

 

"Please update your App

This issue is available for download but requires a newer version of the app. Please update your app from the App store"

 

This Adobe Viewer is not ready now at itunes. So i installe version 1.7 from 11/15/2011 from the Adobe Download site.

 

Now the Folie Builder say "An update is required to use Folio Builder.  Please click here to download the Folio Producer tools."

 

So my question is : Will it be posible to create Folies that work and how do i get around the "An update is required" ?

 

 

 


 

Tonny

 
Replies 1 2 Previous Next
  • Currently Being Moderated
    Jan 23, 2012 5:32 AM   in reply to Zaq-Tonny

    You basically have a mismatch of versions between your viewer app and folio. Your folio has been made with a software version that's newer than what your app can read.

    I just fell into the same pitfall.

     

    Your options are to create a new viewer app using the latest viewer builder and submit it to Apple for approval.

     

    Or uninstall your folio builder tools and re-install your previous version, then recreate the folio.

     

    http://kb2.adobe.com/cps/917/cpsid_91785.html

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 23, 2012 7:38 AM   in reply to Zaq-Tonny

    Do the uninstall Folio Producer tools again following the steps but this time uninstall the Folio Builder as well. There should be an uninstaller file for that in the same directory.

     

    Then download the previous version of the folio panel from here...

     

    http://www.adobe.com/support/downloads/detail.jsp?ftpID=5153

     

    Install the producer tools first, then the folio panel, then launch Indesign and deleet all the artcles from your folio before adding them back in.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 23, 2012 8:18 AM   in reply to Zaq-Tonny

    Unfortunately I don't have any more advise for you. I followed those steps and was able to recreate my folio.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Jan 23, 2012 10:05 AM   in reply to Zaq-Tonny

    Try this troubleshooting doc:

     

    http://kb2.adobe.com/cps/918/cpsid_91890.html

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 23, 2012 5:10 PM   in reply to Zaq-Tonny

    Hi guys,

     

    I installed latest Folio Producer tools and Builder panel (Jan 17 release). I've uploaded my folio file with articles and when I open Content Viewer (2.2.0) ans pressing Download. It says "Please update your app. This issue is available for download but requires newer version of the app." Will be any update of Adobe content viewer? My work just stopped, I can't make a presentation fot clients, I can't test it on iPad. Thanks

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Jan 23, 2012 5:13 PM   in reply to vitalik2k

    I heard that the new Content Viewer (2.3) was recently approved. When I last checked, it wasn't available, but it should be soon. Once you update the viewer, you should be able to view all your content.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 24, 2012 12:03 AM   in reply to Zaq-Tonny

    The Update is now available on the iPad! YES!!!

     

    I was shocked yesterday … but now it can go on!

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 31, 2012 1:10 PM   in reply to Zaq-Tonny

    I have both updated  Content Viewer and  Folio Builder, but still am not seeing my updated folios in the Viewer. Any advice? This was all working smoothly last week....

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Jan 31, 2012 2:06 PM   in reply to AngelaSaxon

    Try signing out of the Content Viewer and signing back in. Use the same Adobe ID that you use in the Folio Builder.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 31, 2012 2:25 PM   in reply to Bob Bringhurst

    Thank you Bob, that worked perfectly. I should've though of that!

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2012 9:20 AM   in reply to Zaq-Tonny

    hi everyone (and Mr Bob Bringhurst in particular), looks like i'm not the only one in pain. Took me hours to figure out what was wrong, but still I can't solve the problem, here it is :

    - interactivity does not show on my Content Viewer on the computer

     

    - i checked my versions and here they are

    - VIEWER VERSION: 1.7.0.0.20526

    - DPS (FOILIO BUILDER "ABOUT" SECTION) : 7.5.3.12

     

    so that's not the latest versions and that's cetrainly why nothing groovy happens

     

    what i don't understand at all is that i 've installed CS5.5 YESTERDAY and downloaded + installed the appropriate tools just afterwards (http://www.adobe.com/support/downloads/product.jsp?product=180&platfor m=Windows and http://www.adobe.com/support/downloads/product.jsp?product=172&platfor m=Windows)

     

    I've read somewhere that I had to unistall these, and reiinstall them, maybe that would do (hope so).
    But I can't see where/how to do so.
    Is that just the "DigitalPublishing" line in the ADOBE EXTENSION MANAGER CS5.5 ?

     

    Hope someone can help me !

    Keep up the great work !

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 1, 2012 10:02 AM   in reply to jbalmain

    First, don't edit Extension Manager unless you absolutely have to. Using Extension Manager to remove the plugins makes installing fail the next time, and you have to remove or rename a file to get the installer to work properly.

     

    The odd thing is that the links you provided go to the current v18 tools but the tools that you have installed are the much older v12 tools. Is it possible that you downloaded the v18 tools and then installed the legacy v12 tools?

     

    Here's my advice. To uninstall the v12 Folio Producer tools, uninstall InDesign CS5.5 using Add/Remove Programs in Windows. Then re-install InDesign CS5.5 and follow the steps in this help article: http://help.adobe.com/en_US/digitalpubsuite/using/WS67cb9e293e2f1f60-2 1ba9a4512e5e5e0b8d-7ffe.html

     

    Let us know what happens.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 2:15 AM   in reply to Bob Bringhurst

    THanks
    I followed the instructions and now:

     

    - VIEWER VERSION: 2.3.0.0.37599

    - DPS (FOILIO BUILDER "ABOUT" SECTION) : 7.5.5.18

     

    and it WORKS (so far, gonna control eveything)

     

    thanks a lot again !!!

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 8:31 PM   in reply to jbalmain

    I'm experiencing the "please update your ap from the app store" message too.

     

    This has happened before, and it's beginning to become a tad annoying.

     

    Is there a clear and simple way to solve this please? I have to publish my latest magazine edition today. Everything was going smoothly until I tried to download the app on my ipad. once again everything has come to a grinding halt, and looking back over all the messages here, it looks like there are several compliacted, convulted "solutions". I don't want to choose the wrong one.

     

    I am using the latest Folio updates, as I was prompted to do in the InDesign panel. No choice was given to NOT update. Now I've updated, I've got the error.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 8:55 PM   in reply to Sara 2

    The Folio Builder panel update is necessary. The Folio Producer tools update is optional. Did you update the Folio Producer tools? If you update the Folio Producer tools and create or edit a folio, that folio isn't compatible with an older viewer. If you try to open the folio with an older viewer, you'll get the "Please update your app" message. To fix this, you have two choices:

     

    • Use Viewer Builder to create a v18 version of your app and submit an update to Apple. Once Apple approves the update, your folios will be compatible.

     

     

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 9:02 PM   in reply to Bob Bringhurst

    So, to clarify before I do anything, I can use the v17 FP tools, with the new Viewer Builder?

     

    I can't recreate the app because I have to have the magazine available today.

     

    Once I have v17 FP tools and the v19 FB installed, do I have to go back into indesign and do anything to my files, or should everything magically sort itself ouot in the Folio Producer: Organiser window on the DPS site?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 9:21 PM   in reply to Sara 2

    If the above was the correct "solution" it hasn't worked.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 9:49 PM   in reply to Sara 2

    Which version is your viewer? You may need to roll back to an even earlier version?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 9:52 PM   in reply to Bob Bringhurst

    My Viewer Builder??? v1.7

     

    I've got two hours left to sort this out.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 9:56 PM   in reply to Sara 2

    Hang on, I'm not using the Viewer Builder, that's to submit to the app store. I'm just trying to publish the latest edition of an app that already exists. It should be simple, but I'm pretty sure this "update your app" issue has happened before, to many people.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 10:25 PM   in reply to Sara 2

    I have just searched through my emails, and I found one from late November last year, from an Adobe Technical Response team member (this is in regard to the same issue, that happened last year at least once, if I need to do the same agan, which versions of everything do I need to install, the same as your Adobe Tech suggests?):

     

    Screen shot 2012-02-03 at 2.22.51 PM.png

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 10:36 PM   in reply to Sara 2

    Open your custom viewer app, open a folio, and tap the title until the version number appears. What is the number?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 10:38 PM   in reply to Bob Bringhurst

    2.1.0.6.33355

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 10:49 PM   in reply to Sara 2

    That's either v16 or v17. Are you Mac or Windows?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 10:51 PM   in reply to Bob Bringhurst

    Mac

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 11:07 PM   in reply to Sara 2

    Do this:

     

    1. Uninstall the Folio Producer tools. On the Mac, the uninstallers are located in Applications > Utilities > Adobe Installers. To be safe uninstall both the Folio Producer tools and the Folio Builder panel.

     

    2. Go to this page: http://www.adobe.com/support/downloads/collection.jsp?collID=4&platfor m=Macintosh

     

    3. Download the Folio Producer tools with the date 10/3 for your version.

     

    4. Install the Folio Producer tools, and then install the newest Folio Builder panel.

     

    5. Create a folio and test it with your app.

     

    Let me know if that works.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 11:16 PM   in reply to Bob Bringhurst

    If I open Folio Builder in Indesign, I get this message:

     

    Screen shot 2012-02-03 at 3.15.38 PM.png

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 11:19 PM   in reply to Sara 2

    And in the app on the iPad, I get the same "please update your app" message.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 11:26 PM   in reply to Sara 2

    It sounds like you used Extension Manager to remove plugins. That's no longer necessary. To resolve the incompatible plugin error message, rename the file "PlugInConfig.txt" to something like "PlugInConfig.txt.disabled," or just delete it. This file is in /Users/<username>/Library/Preferences/Adobe InDesign/Version 7.0/<language_locale>.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 11:31 PM   in reply to Bob Bringhurst

    I've changed the file name, retested a folio, and still get the "update your app" message.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 2, 2012 11:46 PM   in reply to Sara 2

    Did you update the changed articles in the folio and update the folio itself? If so, you may try rolling back to the version before 10/3. I need to sign off for the night.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2012 11:50 PM   in reply to Bob Bringhurst

    I will start it all from the update stage again, I've already done this twice. Im also 13 minutes away from missing my deadline.

     

    I have another publication due for release on the 9 February. This publication is for a worldwide mining conference in Canada. We are the media sponsor. I'm guessing that I am goign to miss that one as well, as the same issue will occur.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
    Currently Being Moderated
    Feb 3, 2012 12:21 AM   in reply to Sara 2

    Yes, sorry this is so difficult. There are plans to simplify this process. For background details, you may want to see this article: http://blogs.adobe.com/indesigndocs/2011/12/understanding-dps-tool-ver sions.html

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 3, 2012 12:28 AM   in reply to Bob Bringhurst

    Thanks Bob. It's just upsetting, in that I've done my work, finished

    everything on time, only to be let down by technology at the end, and also,

    the advertising clients don't make life very easy, which in turn means the

    sales people are standing over me. I've lost a day n the other publication

    due next week, so I've just lost my weekend. It's also embarrassing because

    I can't work out the problem, so I can't fix it.

     

    Thanks for helping me today Bob.

     

    I just tried the whole process from scratch and was unsuccessful. I'll be in

    over the weekend to catch up on my other work, so I'll maybe try everything

    again, again.

     

    The link you sent through says "Page not found".

     

     

     

    From:  Bob Bringhurst - Adobe <forums@adobe.com>

    Reply-To:  <jive-1583943477-pjk8-2-2hnrk@mail.forums.adobe.com>

    Date:  Fri, 03 Feb 2012 01:21:49 -0700

    To:  Production <production@riu.com.au>

    Subject:  Re: "Please update your App" "Please update your App"

     

    Re: "Please update your App"

    created by Bob Bringhurst - Adobe

    <http://forums.adobe.com/people/BobBringhurst-+Adobe>  in Digital

    Publishing Suite - View the full discussion

    <http://forums.adobe.com/message/4183184#4183184>

     

    Yes, sorry this is so difficult. There are plans to simplify this process.

    For background details, you may want to see this article:

    http://blogs.adobe.com/indesigndocs/2011/12/understanding-dps-tool-ver

    sions.html

    <http://blogs.adobe.com/indesigndocs/2011/12/understanding-dps-tool-ver sions

    .html>

    Replies to this message go to everyone subscribed to this thread, not

    directly to the person who posted the message. To post a reply, either reply

    to this email or visit the message page:

    Re: "Please update your App" To unsubscribe from this

    thread, please visit the message page at

    Re: "Please update your App". In the Actions box on the

    right, click the Stop Email Notifications link. Start a new discussion in

    Digital Publishing Suite by email

    <mailto:discussions-community-dps@mail.forums.adobe.com>  or at Adobe Forums

    <http://forums.adobe.com/choose-container!input.jspa?contentType=1&cont ainer

    Type=14&container=4531>  For more information about maintaining your forum

    email notifications please go to

    http://forums.adobe.com/message/2936746#2936746.

     
    |
    Mark as:
  • Bob Bringhurst
    4,644 posts
    May 29, 2007
  • Currently Being Moderated
    Feb 4, 2012 9:46 PM   in reply to Bob Bringhurst

    Thank you for the link Bob. I am no closer to a solution to the actual problem though.

     
    |
    Mark as:
1 2 Previous Next

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points